<!--
N.B.: This README was automatically generated by <https://github.com/YunoHost/apps/tree/master/tools/readme_generator>
It shall NOT be edited by hand.
-->

# ZeroNet for YunoHost

[![Integration level](https://dash.yunohost.org/integration/zeronet.svg)](https://dash.yunohost.org/appci/app/zeronet) ![Working status](https://ci-apps.yunohost.org/ci/badges/zeronet.status.svg) ![Maintenance status](https://ci-apps.yunohost.org/ci/badges/zeronet.maintain.svg)

[![Install ZeroNet with YunoHost](https://install-app.yunohost.org/install-with-yunohost.svg)](https://install-app.yunohost.org/?app=zeronet)

*[Read this README is other languages.](./ALL_README.md)*

> *This package allows you to install ZeroNet quickly and simply on a YunoHost server.*  
> *If you don't have YunoHost, please consult [the guide](https://yunohost.org/install) to learn how to install it.*

## Overview

ZeroNet allows you to publish static and dynamic websites on a distributed web platform using Bitcoin crypto and the BitTorrent network.


**Shipped version:** 2021.01.25~ynh1

## Screenshots

![Screenshot of ZeroNet](./doc/screenshots/screenshot.png)

## Disclaimers / important information

## Install instructions
- This app can only be installed on root path, i.e you will need to use a dedicated domain name, e.g.`zeronet.domain.tld`.
- You can setup Tor which has to be done manually till its implimented in the app.[how to use zeronet with Tor](https://zeronet.readthedocs.io/en/latest/faq/#how-to-use-zeronet-with-tor)

## Multiple Instances
- Installing multiple instances of the app is *experimental*. Internally each instance will use an unique port for both for ZeroNet UserInterface and FileServer. However, the tracker will see all instances as one peer, as they all use one and the same external IP address. But you try it and explain your user case.
- A solution that hasn't been confirmed yet is to use Tor instead. Each instance should then have a unique external address.

## Limitations

* App can not be used inside SSO. See [here](https://github.com/HelloZeroNet/ZeroNet/issues/2541) and [here](https://github.com/YunoHost/issues/issues/1580).

## Documentation and resources

- Official app website: <https://zeronet.io>
- Official admin documentation: <https://zeronet.io/docs/>
- Upstream app code repository: <https://github.com/HelloZeroNet/ZeroNet>
- YunoHost Store: <https://apps.yunohost.org/app/zeronet>
- Report a bug: <https://github.com/YunoHost-Apps/zeronet_ynh/issues>

## Developer info

Please send your pull request to the [`testing` branch](https://github.com/YunoHost-Apps/zeronet_ynh/tree/testing).

To try the `testing` branch, please proceed like that:

```bash
sudo yunohost app install https://github.com/YunoHost-Apps/zeronet_ynh/tree/testing --debug
or
sudo yunohost app upgrade zeronet -u https://github.com/YunoHost-Apps/zeronet_ynh/tree/testing --debug
```

**More info regarding app packaging:** <https://yunohost.org/packaging_apps>
